> ## Documentation Index
> Fetch the complete documentation index at: https://agent-observability-docs.splunk.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Package Policy Status

> The code-metric package-policy state of each listed code metric that has one and that the caller can read.



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json post /v2/scorers/package-policy-status
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/scorers/package-policy-status:
    post:
      tags:
        - data
        - prompts
        - rows
      summary: Get Package Policy Status
      description: >-
        The code-metric package-policy state of each listed code metric that has
        one and that the caller can read.
      operationId: get_package_policy_status_v2_scorers_package_policy_status_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CodeMetricPolicyStatusRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CodeMetricPolicyStatusResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - ClassicAPIKeyHeader: []
        - OAuth2PasswordBearer: []
        - HTTPBasic: []
components:
  schemas:
    CodeMetricPolicyStatusRequest:
      properties:
        scorer_ids:
          items:
            type: string
            format: uuid4
          type: array
          maxItems: 500
          minItems: 1
          title: Scorer Ids
      additionalProperties: false
      type: object
      required:
        - scorer_ids
      title: CodeMetricPolicyStatusRequest
    CodeMetricPolicyStatusResponse:
      properties:
        scorers:
          items:
            $ref: '#/components/schemas/CodeMetricPolicyStatus'
          type: array
          title: Scorers
      type: object
      required:
        - scorers
      title: CodeMetricPolicyStatusResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CodeMetricPolicyStatus:
      properties:
        scorer_id:
          type: string
          format: uuid4
          title: Scorer Id
        scorer_name:
          type: string
          title: Scorer Name
        scorer_version_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Scorer Version Id
        state:
          $ref: '#/components/schemas/CodeMetricPolicyState'
        message:
          type: string
          title: Message
        packages:
          items:
            $ref: '#/components/schemas/PolicyPackageNotice'
          type: array
          title: Packages
      type: object
      required:
        - scorer_id
        - scorer_name
        - scorer_version_id
        - state
        - message
        - packages
      title: CodeMetricPolicyStatus
      description: The package-policy state of one code metric's default version.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    CodeMetricPolicyState:
      type: string
      enum:
        - blocked
        - save_again
        - end_of_life_soon
      title: CodeMetricPolicyState
    PolicyPackageNotice:
      properties:
        package:
          type: string
          title: Package
        version:
          type: string
          title: Version
        reason:
          $ref: '#/components/schemas/ViolationReason'
        advisory_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Advisory Id
        blocked_from:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Blocked From
      type: object
      required:
        - package
        - version
        - reason
        - advisory_id
        - blocked_from
      title: PolicyPackageNotice
    ViolationReason:
      type: string
      enum:
        - not_allowed
        - advisory
        - end_of_life
        - yanked
        - security_decision
      title: ViolationReason
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Splunk-AO-API-Key
    ClassicAPIKeyHeader:
      type: apiKey
      in: header
      name: Galileo-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login
    HTTPBasic:
      type: http
      scheme: basic

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.